﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Matarillo
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            IList<TreeItem> items = GetItems();
            grid1.ItemsSource = items;
        }

        private IList<TreeItem> GetItems()
        {
            return new List<TreeItem>
            {
                new TreeItem
                {
                    Name="東京都区部", Description="東京都東部の23ある特別区から構成される地域", Children=new List<TreeItem>
                    {
                        new TreeItem {Name="足立区"},
                        new TreeItem {Name="荒川区"},
                        new TreeItem {Name="板橋区"},
                        new TreeItem {Name="江戸川区"},
                        new TreeItem {Name="大田区"},
                        new TreeItem {Name="葛飾区"},
                        new TreeItem {Name="北区"},
                        new TreeItem {Name="江東区"},
                        new TreeItem {Name="品川区"},
                        new TreeItem {Name="渋谷区"},
                        new TreeItem {Name="新宿区"},
                        new TreeItem {Name="杉並区"},
                        new TreeItem {Name="墨田区"},
                        new TreeItem {Name="世田谷区"},
                        new TreeItem {Name="台東区"},
                        new TreeItem {Name="中央区"},
                        new TreeItem {Name="千代田区"},
                        new TreeItem {Name="豊島区"},
                        new TreeItem {Name="中野区"},
                        new TreeItem {Name="練馬区"},
                        new TreeItem {Name="文京区"},
                        new TreeItem {Name="港区"},
                        new TreeItem {Name="目黒区"}
                    }
                },
                new TreeItem
                {
                    Name="多摩地域", Description="東京都のうち、区部（旧東京市）と島嶼部（伊豆諸島、小笠原諸島）を除いた市町村部", Children=new List<TreeItem>
                    {
                        new TreeItem
                        {
                            Name="市部", Description="多摩地域のうち、地方自治法における市", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="昭島市"},
                                new TreeItem {Name="あきる野市"},
                                new TreeItem {Name="稲城市"},
                                new TreeItem {Name="青梅市"},
                                new TreeItem {Name="清瀬市"},
                                new TreeItem {Name="国立市"},
                                new TreeItem {Name="小金井市"},
                                new TreeItem {Name="国分寺市"},
                                new TreeItem {Name="小平市"},
                                new TreeItem {Name="狛江市"},
                                new TreeItem {Name="立川市"},
                                new TreeItem {Name="多摩市"},
                                new TreeItem {Name="調布市"},
                                new TreeItem {Name="西東京市"},
                                new TreeItem {Name="八王子市"},
                                new TreeItem {Name="羽村市"},
                                new TreeItem {Name="東久留米市"},
                                new TreeItem {Name="東村山市"},
                                new TreeItem {Name="東大和市"},
                                new TreeItem {Name="日野市"},
                                new TreeItem {Name="府中市"},
                                new TreeItem {Name="福生市"},
                                new TreeItem {Name="町田市"},
                                new TreeItem {Name="三鷹市"},
                                new TreeItem {Name="武蔵野市"},
                                new TreeItem {Name="武蔵村山市"}
                            }
                        },
                        new TreeItem
                        {
                            Name="西多摩郡", Description="東京都西部にある郡", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="奥多摩町"},
                                new TreeItem {Name="日の出町"},
                                new TreeItem {Name="瑞穂町"},
                                new TreeItem {Name="檜原村"}
                            }
                        }
                    }
                },
                new TreeItem
                {
                    Name="東京都島嶼部", Description="伊豆諸島と小笠原諸島（南方諸島）", Children=new List<TreeItem>
                    {
                        new TreeItem
                        {
                            Name="大島支庁", Description="大島・利島・新島・式根島・神津島の5島を管轄する", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="大島町"},
                                new TreeItem {Name="利島村"},
                                new TreeItem {Name="新島村"},
                                new TreeItem {Name="神津島村"}
                            }
                        },
                        new TreeItem
                        {
                            Name="三宅支庁", Description="三宅村と御蔵島村を管轄する", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="三宅村"},
                                new TreeItem {Name="御蔵島村"}
                            }
                        },
                        new TreeItem
                        {
                            Name="八丈支庁", Description="八丈島と青ヶ島、そしていくつかの無人島を管轄する", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="八丈町"},
                                new TreeItem {Name="青ヶ島村"}
                            }
                        },
                        new TreeItem
                        {
                            Name="小笠原支庁", Description="小笠原村の区域を管轄する", Children=new List<TreeItem>
                            {
                                new TreeItem {Name="小笠原村"}
                            }
                        }
                    }
                }
            };
        }
    }
}
